---
title: Update Zone Bot Management Config
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Bot Management](https://developers.cloudflare.com/api/typescript/resources/bot_management)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update Zone Bot Management Config

client.botManagement.update(BotManagementUpdateParamsparams, RequestOptionsoptions?): [BotManagementUpdateResponse](<https://developers.cloudflare.com/api/typescript/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20bot_management_update_response%20%3E%20(schema)>)

PUT/zones/{zone\_id}/bot\_management

Updates the Bot Management configuration for a zone.

This API is used to update:

- **Bot Fight Mode**
- **Super Bot Fight Mode**
- **Bot Management for Enterprise**

See [Bot Plans](https://developers.cloudflare.com/bots/plans/) for more information on the different plans  
 If you recently upgraded or downgraded your plan, refer to the following examples to clean up old configurations. Copy and paste the example body to remove old zone configurations based on your current plan.

#### Clean up configuration for Bot Fight Mode plan

```json
{
  "sbfm_likely_automated": "allow",
  "sbfm_definitely_automated": "allow",
  "sbfm_verified_bots": "allow",
  "sbfm_static_resource_protection": false,
  "optimize_wordpress": false,
  "suppress_session_score": false
}
```

#### Clean up configuration for SBFM Pro plan

```json
{
  "sbfm_likely_automated": "allow",
  "fight_mode": false
}
```

#### Clean up configuration for SBFM Biz plan

```json
{
  "fight_mode": false
}
```

#### Clean up configuration for BM Enterprise Subscription plan

It is strongly recommended that you ensure you have [custom rules](https://developers.cloudflare.com/waf/custom-rules/) in place to protect your zone before disabling the SBFM rules. Without these protections, your zone is vulnerable to attacks.

```json
{
  "sbfm_likely_automated": "allow",
  "sbfm_definitely_automated": "allow",
  "sbfm_verified_bots": "allow",
  "sbfm_static_resource_protection": false,
  "optimize_wordpress": false,
  "fight_mode": false
}
```

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Bot Management Write`

##### ParametersExpand Collapse

<details>

<summary>

BotManagementUpdateParams = BotFightModeConfiguration| SuperBotFightModeDefinitelyConfiguration| SuperBotFightModeLikelyConfiguration| SubscriptionConfiguration

</summary>

<details>

<summary>

BotManagementUpdateParamsBase {zone\_id, ai\_bots\_migration\_opt\_out, ai\_bots\_protection, 11 more }

</summary>

zone\_id: string

Path param: Identifier.

maxLength32

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20zone_id">Link to this property</a>

ai\_bots\_migration\_opt\_out?: boolean

Body param: Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

ai\_bots\_protection?: "block"| "disabled"| "only\_on\_ad\_pages"

Body param: Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_bots_protection%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_bots_protection%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_bots_protection%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

ai\_search?: "disabled"| "block"| "only\_on\_ad\_pages"

Body param: Configure robots.txt policy for AI search bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_search%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_search%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_search%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_search">Link to this property</a>

<details>

<summary>

ai\_training?: "disabled"| "disallow"| "block"| "only\_on\_ad\_pages"

Body param: Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_training%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"disallow"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_training%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_training%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_training%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_training">Link to this property</a>

<details>

<summary>

ai\_user?: "disabled"| "block"| "only\_on\_ad\_pages"

Body param: Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_user%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_user%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_user%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20ai_user">Link to this property</a>

bot\_preference\_sync\_enabled?: boolean

Body param: Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

cf\_robots\_variant?: "off"| "policy\_only"

Body param: Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

"off"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20cf_robots_variant%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20cf_robots_variant%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

content\_bots\_protection?: "block"| "disabled"

Body param: Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20content_bots_protection%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20content_bots_protection%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20content_bots_protection">Link to this property</a>

<details>

<summary>

crawler\_protection?: "enabled"| "disabled"

Body param: Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

"enabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20crawler_protection%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20crawler_protection%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20crawler_protection">Link to this property</a>

enable\_js?: boolean

Body param: Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20enable_js">Link to this property</a>

fight\_mode?: boolean

Body param: Whether to enable Bot Fight Mode.

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20fight_mode">Link to this property</a>

is\_robots\_txt\_managed?: boolean

Body param: Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20is_robots_txt_managed">Link to this property</a>

jsd\_api\_results\_enabled?: boolean

Body param: Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200%20%3E%20(param)%20jsd_api_results_enabled">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(method)%20update.typescript.base_params">Link to this property</a>

BotFightModeConfiguration extends BotManagementUpdateParamsBase {zone\_id, ai\_bots\_migration\_opt\_out, ai\_bots\_protection, 11 more }

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%200">Link to this property</a>

SuperBotFightModeDefinitelyConfiguration extends BotManagementUpdateParamsBase {zone\_id, ai\_bots\_migration\_opt\_out, ai\_bots\_protection, 11 more }

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%201">Link to this property</a>

SuperBotFightModeLikelyConfiguration extends BotManagementUpdateParamsBase {zone\_id, ai\_bots\_migration\_opt\_out, ai\_bots\_protection, 11 more }

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%202">Link to this property</a>

SubscriptionConfiguration extends BotManagementUpdateParamsBase {zone\_id, ai\_bots\_migration\_opt\_out, ai\_bots\_protection, 11 more }

<a href="#(resource)%20bot_management%20%3E%20(method)%20update%20%3E%20(params)%203">Link to this property</a>

</details>

[Link to this property](<#(resource)%20bot_management%20%3E%20(method)%20update.typescript.params>)

##### ReturnsExpand Collapse

<details>

<summary>

BotManagementUpdateResponse = <a href="https://developers.cloudflare.com/api/typescript/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)">BotFightModeConfiguration</a> {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 12 more } | <a href="https://developers.cloudflare.com/api/typescript/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)">SuperBotFightModeDefinitelyConfiguration</a> {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 15 more } | <a href="https://developers.cloudflare.com/api/typescript/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)">SuperBotFightModeLikelyConfiguration</a> {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 16 more } | <a href="https://developers.cloudflare.com/api/typescript/resources/bot_management#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)">SubscriptionConfiguration</a> {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 14 more }

</summary>

One of the following:

<details>

<summary>

BotFightModeConfiguration {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 12 more }

</summary>

ai\_bots\_migration\_opt\_out?: boolean

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

ai\_bots\_protection?: "block"| "disabled"| "only\_on\_ad\_pages"

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

ai\_search?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

ai\_training?: "disabled"| "disallow"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

"disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

ai\_user?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

bot\_preference\_sync\_enabled?: boolean

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

cf\_robots\_variant?: "off"| "policy\_only"

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

"off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

"policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

content\_bots\_protection?: "block"| "disabled"

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

crawler\_protection?: "enabled"| "disabled"

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

"enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

enable\_js?: boolean

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

fight\_mode?: boolean

Whether to enable Bot Fight Mode.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20fight_mode">Link to this property</a>

is\_robots\_txt\_managed?: boolean

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

jsd\_api\_results\_enabled?: boolean

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

<details>

<summary>

stale\_zone\_configuration?: StaleZoneConfiguration {optimize\_wordpress, sbfm\_definitely\_automated, sbfm\_likely\_automated, 3 more }

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

optimize\_wordpress?: boolean

Indicates that the zone’s wordpress optimization for SBFM is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

sbfm\_definitely\_automated?: string

Indicates that the zone’s definitely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

sbfm\_likely\_automated?: string

Indicates that the zone’s likely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

sbfm\_static\_resource\_protection?: string

Indicates that the zone’s static resource protection is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

sbfm\_verified\_bots?: string

Indicates that the zone’s verified bot requests are being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

suppress\_session\_score?: boolean

Indicates that the zone’s session score tracking is disabled.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20suppress_session_score">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

using\_latest\_model?: boolean

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20bot_fight_mode_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

SuperBotFightModeDefinitelyConfiguration {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 15 more }

</summary>

ai\_bots\_migration\_opt\_out?: boolean

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

ai\_bots\_protection?: "block"| "disabled"| "only\_on\_ad\_pages"

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

ai\_search?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

ai\_training?: "disabled"| "disallow"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

"disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

ai\_user?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

bot\_preference\_sync\_enabled?: boolean

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

cf\_robots\_variant?: "off"| "policy\_only"

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

"off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

"policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

content\_bots\_protection?: "block"| "disabled"

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

crawler\_protection?: "enabled"| "disabled"

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

"enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

enable\_js?: boolean

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

is\_robots\_txt\_managed?: boolean

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

jsd\_api\_results\_enabled?: boolean

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

optimize\_wordpress?: boolean

Whether to optimize Super Bot Fight Mode protections for Wordpress.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

<details>

<summary>

sbfm\_definitely\_automated?: "allow"| "block"| "managed\_challenge"

Super Bot Fight Mode (SBFM) action to take on definitely automated requests.

</summary>

One of the following:

"allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%201">Link to this property</a>

"managed\_challenge"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

sbfm\_static\_resource\_protection?: boolean

Super Bot Fight Mode (SBFM) to enable static resource protection. Enable if static resources on your application need bot protection. Note: Static resource protection can also result in legitimate traffic being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

<details>

<summary>

sbfm\_verified\_bots?: "allow"| "block"

Super Bot Fight Mode (SBFM) action to take on verified bots requests.

</summary>

One of the following:

"allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

<details>

<summary>

stale\_zone\_configuration?: StaleZoneConfiguration {fight\_mode, sbfm\_likely\_automated }

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

fight\_mode?: boolean

Indicates that the zone’s Bot Fight Mode is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20fight_mode">Link to this property</a>

sbfm\_likely\_automated?: string

Indicates that the zone’s likely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

using\_latest\_model?: boolean

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_definitely_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

SuperBotFightModeLikelyConfiguration {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 16 more }

</summary>

ai\_bots\_migration\_opt\_out?: boolean

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

ai\_bots\_protection?: "block"| "disabled"| "only\_on\_ad\_pages"

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

ai\_search?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

ai\_training?: "disabled"| "disallow"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

"disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

ai\_user?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

bot\_preference\_sync\_enabled?: boolean

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

cf\_robots\_variant?: "off"| "policy\_only"

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

"off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

"policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

content\_bots\_protection?: "block"| "disabled"

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

crawler\_protection?: "enabled"| "disabled"

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

"enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

enable\_js?: boolean

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

is\_robots\_txt\_managed?: boolean

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

jsd\_api\_results\_enabled?: boolean

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

optimize\_wordpress?: boolean

Whether to optimize Super Bot Fight Mode protections for Wordpress.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

<details>

<summary>

sbfm\_definitely\_automated?: "allow"| "block"| "managed\_challenge"

Super Bot Fight Mode (SBFM) action to take on definitely automated requests.

</summary>

One of the following:

"allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%201">Link to this property</a>

"managed\_challenge"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

<details>

<summary>

sbfm\_likely\_automated?: "allow"| "block"| "managed\_challenge"

Super Bot Fight Mode (SBFM) action to take on likely automated requests.

</summary>

One of the following:

"allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated%20%3E%20(member)%201">Link to this property</a>

"managed\_challenge"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

sbfm\_static\_resource\_protection?: boolean

Super Bot Fight Mode (SBFM) to enable static resource protection. Enable if static resources on your application need bot protection. Note: Static resource protection can also result in legitimate traffic being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

<details>

<summary>

sbfm\_verified\_bots?: "allow"| "block"

Super Bot Fight Mode (SBFM) action to take on verified bots requests.

</summary>

One of the following:

"allow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

<details>

<summary>

stale\_zone\_configuration?: StaleZoneConfiguration {fight\_mode }

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

fight\_mode?: boolean

Indicates that the zone’s Bot Fight Mode is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20fight_mode">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

using\_latest\_model?: boolean

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20super_bot_fight_mode_likely_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

SubscriptionConfiguration {ai\_bots\_migration\_opt\_out, ai\_bots\_protection, ai\_search, 14 more }

</summary>

ai\_bots\_migration\_opt\_out?: boolean

Temporary migration flag tracking zones opted out of AI bots managed-rule updates.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_migration_opt_out">Link to this property</a>

<details>

<summary>

ai\_bots\_protection?: "block"| "disabled"| "only\_on\_ad\_pages"

Enable rule to block AI Scrapers and Crawlers.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_bots_protection">Link to this property</a>

<details>

<summary>

ai\_search?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI search bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_search">Link to this property</a>

<details>

<summary>

ai\_training?: "disabled"| "disallow"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI model training bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%200">Link to this property</a>

"disallow"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%202">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_training">Link to this property</a>

<details>

<summary>

ai\_user?: "disabled"| "block"| "only\_on\_ad\_pages"

Configure robots.txt policy for AI assistant and agent bots.

</summary>

One of the following:

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%200">Link to this property</a>

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%201">Link to this property</a>

"only\_on\_ad\_pages"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20ai_user">Link to this property</a>

auto\_update\_model?: boolean

Automatically update to the newest bot detection models created by Cloudflare as they are released. <a href="https://developers.cloudflare.com/bots/reference/machine-learning-models#model-versions-and-release-notes">Learn more.</a>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20auto_update_model">Link to this property</a>

bm\_cookie\_enabled?: boolean

Indicates that the bot management cookie can be placed on end user devices accessing the site. Defaults to true

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20bm_cookie_enabled">Link to this property</a>

bot\_preference\_sync\_enabled?: boolean

Enable Bot Preference Sync for this zone. When enabled, Cloudflare can serve robots.txt content derived from the zone’s AI Search, AI User, and AI Training preferences.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20bot_preference_sync_enabled">Link to this property</a>

<details>

<summary>

cf\_robots\_variant?: "off"| "policy\_only"

Specifies the Robots Access Control License variant to use.

</summary>

One of the following:

"off"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%200">Link to this property</a>

"policy\_only"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20cf_robots_variant">Link to this property</a>

<details>

<summary>

content\_bots\_protection?: "block"| "disabled"

Enable rule to block content bots. When enabled, blocks automated traffic with low bot scores, excluding safe verified bot categories. Exceptions should be managed via skip rules.

</summary>

One of the following:

"block"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20content_bots_protection">Link to this property</a>

<details>

<summary>

crawler\_protection?: "enabled"| "disabled"

Enable rule to punish AI Scrapers and Crawlers via a link maze.

</summary>

One of the following:

"enabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%200">Link to this property</a>

"disabled"

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20crawler_protection">Link to this property</a>

enable\_js?: boolean

Use lightweight, invisible JavaScript detections to improve Bot Management. <a href="https://developers.cloudflare.com/bots/reference/javascript-detections/">Learn more about JavaScript Detections</a>.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20enable_js">Link to this property</a>

is\_robots\_txt\_managed?: boolean

Enable cloudflare managed robots.txt. If an existing robots.txt is detected, then managed robots.txt will be prepended to the existing robots.txt.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20is_robots_txt_managed">Link to this property</a>

jsd\_api\_results\_enabled?: boolean

Whether to use JavaScript Detection results submitted through the API for this zone.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20jsd_api_results_enabled">Link to this property</a>

<details>

<summary>

stale\_zone\_configuration?: StaleZoneConfiguration {fight\_mode, optimize\_wordpress, sbfm\_definitely\_automated, 3 more }

A read-only field that shows which unauthorized settings are currently active on the zone. These settings typically result from upgrades or downgrades.

</summary>

fight\_mode?: boolean

Indicates that the zone’s Bot Fight Mode is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20fight_mode">Link to this property</a>

optimize\_wordpress?: boolean

Indicates that the zone’s wordpress optimization for SBFM is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20optimize_wordpress">Link to this property</a>

sbfm\_definitely\_automated?: string

Indicates that the zone’s definitely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_definitely_automated">Link to this property</a>

sbfm\_likely\_automated?: string

Indicates that the zone’s likely automated requests are being blocked or challenged.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_likely_automated">Link to this property</a>

sbfm\_static\_resource\_protection?: string

Indicates that the zone’s static resource protection is turned on.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_static_resource_protection">Link to this property</a>

sbfm\_verified\_bots?: string

Indicates that the zone’s verified bot requests are being blocked.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration%20%3E%20(property)%20sbfm_verified_bots">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20stale_zone_configuration">Link to this property</a>

suppress\_session\_score?: boolean

Whether to disable tracking the highest bot score for a session in the Bot Management cookie.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20suppress_session_score">Link to this property</a>

using\_latest\_model?: boolean

A read-only field that indicates whether the zone currently is running the latest ML model.

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)%20%3E%20(property)%20using_latest_model">Link to this property</a>

</details>

<a href="#(resource)%20bot_management%20%3E%20(model)%20subscription_configuration%20%3E%20(schema)">Link to this property</a>

</details>

[Link to this property](<#(resource)%20bot_management%20%3E%20(model)%20bot_management_update_response%20%3E%20(schema)>)

### Update Zone Bot Management Config

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const botManagement = await client.botManagement.update({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(botManagement);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ai_bots_migration_opt_out": false,
    "ai_bots_protection": "block",
    "ai_search": "block",
    "ai_training": "disallow",
    "ai_user": "only_on_ad_pages",
    "bot_preference_sync_enabled": true,
    "cf_robots_variant": "policy_only",
    "content_bots_protection": "disabled",
    "crawler_protection": "enabled",
    "enable_js": true,
    "fight_mode": true,
    "is_robots_txt_managed": false,
    "jsd_api_results_enabled": true,
    "stale_zone_configuration": {
      "optimize_wordpress": true,
      "sbfm_definitely_automated": "sbfm_definitely_automated",
      "sbfm_likely_automated": "sbfm_likely_automated",
      "sbfm_static_resource_protection": "sbfm_static_resource_protection",
      "sbfm_verified_bots": "sbfm_verified_bots",
      "suppress_session_score": true
    },
    "using_latest_model": true
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ai_bots_migration_opt_out": false,
    "ai_bots_protection": "block",
    "ai_search": "block",
    "ai_training": "disallow",
    "ai_user": "only_on_ad_pages",
    "bot_preference_sync_enabled": true,
    "cf_robots_variant": "policy_only",
    "content_bots_protection": "disabled",
    "crawler_protection": "enabled",
    "enable_js": true,
    "fight_mode": true,
    "is_robots_txt_managed": false,
    "jsd_api_results_enabled": true,
    "stale_zone_configuration": {
      "optimize_wordpress": true,
      "sbfm_definitely_automated": "sbfm_definitely_automated",
      "sbfm_likely_automated": "sbfm_likely_automated",
      "sbfm_static_resource_protection": "sbfm_static_resource_protection",
      "sbfm_verified_bots": "sbfm_verified_bots",
      "suppress_session_score": true
    },
    "using_latest_model": true
  }
}
```